# $Revision: 1.6 $, $Date: 2002/02/19 07:11:25 $
Summary:	Firewall log analyzer, report generator and realtime response agent
Summary(pl):	Analizator logw firewalla, generator raportw i agent natychmiastowej odpowiedzi
Name:		fwlogwatch
Version:	0.5.2
Release:	1
License:	GPL
Group:		Applications/System
Group(de):	Applikationen/System
Group(pl):	Aplikacje/System
Source0:	http://www.kyb.uni-stuttgart.de/boris/sw/%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-config.patch
URL:		http://cert.uni-stuttgart.de/projects/fwlogwatch/
BuildRequires:	flex
BuildRequires:	zlib-devel
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir		/etc/%{name}

%description
fwlogwatch produces ipchains, netfilter/iptables, ipfilter, Cisco IOS
and Cisco PIX log summary reports in text and HTML form and has a lot
of options to find and display relevant patterns in connection
attempts. With the data found it can also generate customizable
incident reports from a template and send them to abuse contacts at
offending sites or CERT coordination centers. Finally, it can also run
as daemon and report anomalies or start countermeasures.

%description -l pl
fwlogwatch produkuje sumaryczne raporty w formacie tekstowym oraz HTML
z informacjami dostarczanymi przez logi ipchains, netfilter/iptables,
ipfilter, Cisco IOS oraz Cisco PIX. fwlogwatch ma wiele opcji
pozwalajcych znajdowa okrelone wzorce w prbach pocze. Na
podstawie tych danych moe generowa raporty o incydentach i wysya
je na adres abuse lub do centrw koordynacji CERT. Moe on rwnie
pracowa jako daemon i informowa o anomaliach oraz podejmowa kroki
zapobiegawcze.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" OPT="%{rpmcflags}" LDFLAGS="%{rpmldflags}" \
	SYSCONFDIR="%{_sysconfdir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_sysconfdir}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

%{__make} install install-config \
	DESTDIR=$RPM_BUILD_ROOT \
	SYSCONFDIR="%{_sysconfdir}" \
	PREFIX="%{_prefix}" \
	MANDIR="%{_mandir}"

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

gzip -9nf contrib/fw* AUTHORS CREDITS ChangeLog README

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
if [ -f %{_var}/lock/subsys/%{name} ]; then
        /etc/rc.d/init.d/%{name} restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f %{_var}/lock/subsys/%{name} ]; then
	        /etc/rc.d/init.d/%{name} stop 1>&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc *.gz */*.gz
%attr(700,root,root) %dir %{_sysconfdir}
%attr(600,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*.*
%attr(750,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}//fwlw_*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/%{name}
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: fwlogwatch.spec,v $
Revision 1.6  2002/02/19 07:11:25  kloczek
- updated to 0.5.2.

Revision 1.5  2002/01/18 02:12:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/09/25 14:58:36  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.3  2001/08/31 14:50:15  kloczek
- added zlib-devel to BuildRequires and fixed (my) typo in %install.

Revision 1.2  2001/08/31 14:47:32  kloczek
- map %%{_sysconfdir} to /etc/%%{name},
- fixed %preun script,
- added rc-scripts to Prereq,
- cosmetic.

Revision 1.1  2001/08/30 20:12:19  misiek
initial pld release
